goog.provide('cljs.nodejs');
goog.require('cljs.core');
cljs.nodejs.require = require;
cljs.nodejs.process = process;
cljs.nodejs.enable_util_print_BANG_ = (function cljs$nodejs$enable_util_print_BANG_(){
cljs.core._STAR_print_newline_STAR_ = false;

cljs.core._STAR_print_fn_STAR_ = (function() { 
var G__20625__delegate = function (args){
return console.log.apply(console,cljs.core.into_array.call(null,args));
};
var G__20625 = function (var_args){
var args = null;
if (arguments.length > 0) {
var G__20626__i = 0, G__20626__a = new Array(arguments.length -  0);
while (G__20626__i < G__20626__a.length) {G__20626__a[G__20626__i] = arguments[G__20626__i + 0]; ++G__20626__i;}
  args = new cljs.core.IndexedSeq(G__20626__a,0);
} 
return G__20625__delegate.call(this,args);};
G__20625.cljs$lang$maxFixedArity = 0;
G__20625.cljs$lang$applyTo = (function (arglist__20627){
var args = cljs.core.seq(arglist__20627);
return G__20625__delegate(args);
});
G__20625.cljs$core$IFn$_invoke$arity$variadic = G__20625__delegate;
return G__20625;
})()
;

cljs.core._STAR_print_err_fn_STAR_ = (function() { 
var G__20628__delegate = function (args){
return console.error.apply(console,cljs.core.into_array.call(null,args));
};
var G__20628 = function (var_args){
var args = null;
if (arguments.length > 0) {
var G__20629__i = 0, G__20629__a = new Array(arguments.length -  0);
while (G__20629__i < G__20629__a.length) {G__20629__a[G__20629__i] = arguments[G__20629__i + 0]; ++G__20629__i;}
  args = new cljs.core.IndexedSeq(G__20629__a,0);
} 
return G__20628__delegate.call(this,args);};
G__20628.cljs$lang$maxFixedArity = 0;
G__20628.cljs$lang$applyTo = (function (arglist__20630){
var args = cljs.core.seq(arglist__20630);
return G__20628__delegate(args);
});
G__20628.cljs$core$IFn$_invoke$arity$variadic = G__20628__delegate;
return G__20628;
})()
;

return null;
});
